import json
import os
from collections import defaultdict


os.chdir("C:\\Users\\milli\\Documents\\Datenbereinigung")

output_file = {
    "type": "FeatureCollection",
    "features": [],
}

bezirk_table = defaultdict(dict)

with open("geostadtteile.json", "r",  encoding='utf-8') as file:
    data = json.load(file)
    for entry in data["features"]:
       if entry["properties"]["jahr_date"] == "2024-12-31":
           output_file["features"].append({
               "type": entry["type"],
               "id": entry["id"],
               "geometry": entry["geometry"],
               "srsName": entry["srsName"],
               "properties": {
                   "stadtteil": entry["properties"]["stadtteil"],
               }
           }) 


with open("geostadtteile-parsed.json", "w", encoding='utf-8') as output:
    json.dump(output_file, output, ensure_ascii=False, indent=4)